function prob_dens = gauss(x, mu, sigma)

% Get the probability density between x and x+dx
%
% Inputs:
% 
% x - displacement
% 
% mu - mean
% 
% sigma - standard deviation
% 
% 
% 
% Outputs:
% 
% prob_dens - probability density

prob_dens = 1 / (sigma * sqrt(2 * pi)) * exp(-(x-mu).^2 / (2 * sigma^2));