% Input variables
%
num_walks = 10000;

num_steps = 1000;

step_size = 0.01;

num_bins = 400;

%Run the random walk simulations
[x_bins, bin_counts] = sample_walks(num_walks, num_steps, step_size, num_bins);

bin_width = x_bins(2) - x_bins(1);

%Normalize so the integral is one
sim_prob_dens = bin_counts / num_walks / bin_width;

plot(x_bins, sim_prob_dens,'b');

%Get the theoretical Gaussian prediction
sigma = step_size * sqrt(num_steps);
mu = 0.;
th_prob_dens = gauss(x_bins, mu, sigma);

hold on;
plot(x_bins, th_prob_dens,'r');

xlabel('x');
ylabel('p(x)');
legend('Simulation', 'Theory');

%Make fonts more readable
%
figureHandle = gcf;
% make all text in the figure to size 14 and bold
set(findall(figureHandle,'type','text'),'fontSize',14,'fontWeight','bold')
% set x axis limit
xlim([-2 2])

